maven-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Benjamin Bentmann <benjamin.bentm...@udo.edu>
Subject Re: [VOTE] Release Maven Parent POM 15, Maven Plugins Parent POM 16 and Maven Shared Components Parent POM 14
Date Sat, 31 Oct 2009 21:32:37 GMT
Dennis Lundberg wrote:

> -1
> 
> I tried these POMs with Java 1.4. Unfortunately the changes made in
> r830510 by Vincent has created a Java 1.5 dependency on Maven Parent.
> 
> That's because Cobertura Maven Plugin 2.3 (specified in reporting
> section of Maven Parent)

Is something preventing us from building/deploying/tagging the artifact 
using Java 1.4 and just build/deploy the site using Java 1.5? IIRC, 
those steps are already nicely separated, i.e. step 7 and 11 of the 
release process [0] are separate invocations of Maven.

Also, the Toolchains Plugin is just about to be released, does it still 
matter what JRE we use to run Maven?


Benjamin


[0] http://maven.apache.org/developers/release/releasing.html

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@maven.apache.org
For additional commands, e-mail: dev-help@maven.apache.org


Mime
View raw message